Changeset 1968


Ignore:
Timestamp:
Oct 15, 2013 11:57:58 AM (6 years ago)
Author:
tkr
Message:

Re-running the autotools

File:
1 edited

Legend:

Unmodified
Added
Removed
  • releases/2.8.5/Cbc/configure

    r1964 r1968  
    10821082                          (implies --disable-shared)
    10831083  --enable-debug-cbc compile project Cbc with debug compiler flags
    1084   --enable-doscompile     Under Cygwin, compile so that executables run under
    1085                           DOS. Set to mingw to use gcc/g++/ld with
    1086                           -mno-cygwin. Set to msvc to use cl/link (or
    1087                           icl/link). Default when mentioned: mingw. Default
    1088                           when not mentioned: disabled.
     1084
     1085  --enable-msvc           Prefer (i)cl/ifort/link over GNU on MinGW/Cygwin.
    10891086  --enable-static[=PKGS]
    10901087                          build static libraries [default=no]
     
    19511948
    19521949# Get the name of the C++ compiler and appropriate compiler options
    1953 case $build in
     1950
     1951
     1952  # for backward compatibility
     1953  # Check whether --enable-doscompile or --disable-doscompile was given.
     1954if test "${enable_doscompile+set}" = set; then
     1955  enableval="$enable_doscompile"
     1956  enable_doscompile=$enableval
     1957else
     1958  enable_doscompile=no
     1959fi;
     1960
     1961  # Check whether --enable-msvc or --disable-msvc was given.
     1962if test "${enable_msvc+set}" = set; then
     1963  enableval="$enable_msvc"
     1964  enable_msvc=$enableval
     1965else
     1966  enable_msvc=no
     1967     if test "$enable_doscompile" = msvc ; then
     1968       enable_msvc=yes
     1969     elif test "$enable_doscompile" != no ; then
     1970       { { echo "$as_me:$LINENO: error: --enable-doscompile=$enable_doscompile not supported anymore." >&5
     1971echo "$as_me: error: --enable-doscompile=$enable_doscompile not supported anymore." >&2;}
     1972   { (exit 1); exit 1; }; }
     1973     fi
     1974
     1975fi;
     1976
     1977  if test "$enable_msvc" = yes; then
     1978    case $build in
     1979      *-cygwin* | *-mingw*) ;;
     1980      *) { { echo "$as_me:$LINENO: error: --enable-msvc option makes sense only under Cygwin or MinGW" >&5
     1981echo "$as_me: error: --enable-msvc option makes sense only under Cygwin or MinGW" >&2;}
     1982   { (exit 1); exit 1; }; } ;;
     1983    esac
     1984  fi
     1985
     1986
     1987 case $build in
    19541988  *-mingw*)
    19551989    if test "${LD+set}" = set; then :; else
     
    19581992    ;;
    19591993 esac
    1960  case $enable_doscompile in
    1961    msvc)
    1962      if test "x${LD+set}" = xset; then :; else
    1963        LD=link
    1964      fi
    1965      ;;
    1966  esac
    1967 
    1968 
    1969  # Check whether --enable-doscompile or --disable-doscompile was given.
    1970 if test "${enable_doscompile+set}" = set; then
    1971   enableval="$enable_doscompile"
    1972   if test "$enable_doscompile" != no; then
    1973      case $build in
    1974        *-cygwin* | *-mingw*) ;;
    1975        *) { { echo "$as_me:$LINENO: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&5
    1976 echo "$as_me: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&2;}
    1977    { (exit 1); exit 1; }; } ;;
    1978      esac
     1994 if test $enable_msvc = yes ; then
     1995   if test "x${LD+set}" = xset; then :; else
     1996     LD=link
    19791997   fi
    1980 else
    1981   enable_doscompile=no
    1982 fi;
    1983  case "$enable_doscompile" in
    1984    mingw)
    1985      case $build in
    1986        *-mingw*) enable_doscompile=no ;;
    1987      esac
    1988      ;;
    1989    msvc|no) ;;
    1990    yes) enable_doscompile=mingw ;;
    1991    *) { { echo "$as_me:$LINENO: error: Invalid value $enable_doscompile for --enable-doscompile.
    1992                     Try configure --help=recursive." >&5
    1993 echo "$as_me: error: Invalid value $enable_doscompile for --enable-doscompile.
    1994                     Try configure --help=recursive." >&2;}
    1995    { (exit 1); exit 1; }; }
    1996       ;;
    1997   esac
    1998   if test "$enable_doscompile" != no ; then
    1999     { echo "$as_me:$LINENO: DOS compile style is: $enable_doscompile" >&5
    2000 echo "$as_me: DOS compile style is: $enable_doscompile" >&6;}
    2001   fi
     1998 fi
    20021999
    20032000
     
    20422039case $build in
    20432040  *-cygwin* | *-mingw*)
    2044              if test "$enable_doscompile" = msvc ; then
    2045                comps="icl cl"
     2041             if test "$enable_msvc" = yes ; then
     2042               comps="icl cl gcc"
    20462043             else
    2047                comps="gcc cl"
     2044               comps="gcc icl cl"
    20482045             fi ;;
    20492046  *-*-solaris*)
     
    28982895            ;;
    28992896        esac
    2900         case $enable_doscompile in
    2901           mingw)
    2902             CFLAGS="-mno-cygwin"
    2903             cat >conftest.$ac_ext <<_ACEOF
    2904 /* confdefs.h.  */
    2905 _ACEOF
    2906 cat confdefs.h >>conftest.$ac_ext
    2907 cat >>conftest.$ac_ext <<_ACEOF
    2908 /* end confdefs.h.  */
    2909 
    2910 int
    2911 main ()
    2912 {
    2913 int i=0; i++;
    2914   ;
    2915   return 0;
    2916 }
    2917 _ACEOF
    2918 rm -f conftest.$ac_objext conftest$ac_exeext
    2919 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    2920   (eval $ac_link) 2>conftest.er1
    2921   ac_status=$?
    2922   grep -v '^ *+' conftest.er1 >conftest.err
    2923   rm -f conftest.er1
    2924   cat conftest.err >&5
    2925   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    2926   (exit $ac_status); } &&
    2927          { ac_try='test -z "$ac_c_werror_flag"
    2928                          || test ! -s conftest.err'
    2929   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    2930   (eval $ac_try) 2>&5
    2931   ac_status=$?
    2932   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    2933   (exit $ac_status); }; } &&
    2934          { ac_try='test -s conftest$ac_exeext'
    2935   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    2936   (eval $ac_try) 2>&5
    2937   ac_status=$?
    2938   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    2939   (exit $ac_status); }; }; then
    2940   coin_add_cflags="-mno-cygwin $coin_add_cflags"
    2941 else
    2942   echo "$as_me: failed program was:" >&5
    2943 sed 's/^/| /' conftest.$ac_ext >&5
    2944 
    2945 fi
    2946 rm -f conftest.err conftest.$ac_objext \
    2947       conftest$ac_exeext conftest.$ac_ext
    2948             CFLAGS=
    2949           ;;
    2950         esac
    29512897    esac
    29522898  fi
     
    32893235  clang* ) ;;
    32903236  cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    3291     case $build in
     3237
     3238 case $build in
    32923239  *-mingw*)
    32933240    if test "${LD+set}" = set; then :; else
     
    32963243    ;;
    32973244 esac
    3298  case $enable_doscompile in
    3299    msvc)
    3300      if test "x${LD+set}" = xset; then :; else
    3301        LD=link
    3302      fi
    3303      ;;
    3304  esac
     3245 if test $enable_msvc = yes ; then
     3246   if test "x${LD+set}" = xset; then :; else
     3247     LD=link
     3248   fi
     3249 fi
    33053250
    33063251    ;;
     
    33353280case $build in
    33363281  *-cygwin* | *-mingw*)
    3337              if test "$enable_doscompile" = msvc ; then
    3338                comps="icl cl"
    3339              else
    3340                comps="g++ cl"
    3341              fi ;;
     3282      if test "$enable_msvc" = yes ; then
     3283         comps="icl cl g++"
     3284      else
     3285         comps="g++ icl cl"
     3286      fi ;;
    33423287  *-*-solaris*)
    33433288             comps="CC xlC_r aCC g++ c++ pgCC icpc gpp cxx cc++ cl FCC KCC RCC" ;;
     
    38473792            ;;
    38483793        esac
    3849 
    3850         case $enable_doscompile in
    3851           mingw)
    3852             CXXFLAGS="-mno-cygwin"
    3853             cat >conftest.$ac_ext <<_ACEOF
    3854 /* confdefs.h.  */
    3855 _ACEOF
    3856 cat confdefs.h >>conftest.$ac_ext
    3857 cat >>conftest.$ac_ext <<_ACEOF
    3858 /* end confdefs.h.  */
    3859 
    3860 int
    3861 main ()
    3862 {
    3863 int i=0; i++;
    3864   ;
    3865   return 0;
    3866 }
    3867 _ACEOF
    3868 rm -f conftest.$ac_objext conftest$ac_exeext
    3869 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    3870   (eval $ac_link) 2>conftest.er1
    3871   ac_status=$?
    3872   grep -v '^ *+' conftest.er1 >conftest.err
    3873   rm -f conftest.er1
    3874   cat conftest.err >&5
    3875   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3876   (exit $ac_status); } &&
    3877          { ac_try='test -z "$ac_cxx_werror_flag"
    3878                          || test ! -s conftest.err'
    3879   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3880   (eval $ac_try) 2>&5
    3881   ac_status=$?
    3882   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3883   (exit $ac_status); }; } &&
    3884          { ac_try='test -s conftest$ac_exeext'
    3885   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3886   (eval $ac_try) 2>&5
    3887   ac_status=$?
    3888   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3889   (exit $ac_status); }; }; then
    3890   coin_add_cxxflags="-mno-cygwin $coin_add_cxxflags"
    3891 else
    3892   echo "$as_me: failed program was:" >&5
    3893 sed 's/^/| /' conftest.$ac_ext >&5
    3894 
    3895 fi
    3896 rm -f conftest.err conftest.$ac_objext \
    3897       conftest$ac_exeext conftest.$ac_ext
    3898             CXXFLAGS=
    3899           ;;
    3900         esac
    39013794    esac
    39023795  fi
     
    42504143  clang* ) ;;
    42514144  cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    4252     case $build in
     4145
     4146 case $build in
    42534147  *-mingw*)
    42544148    if test "${LD+set}" = set; then :; else
     
    42574151    ;;
    42584152 esac
    4259  case $enable_doscompile in
    4260    msvc)
    4261      if test "x${LD+set}" = xset; then :; else
    4262        LD=link
    4263      fi
    4264      ;;
    4265  esac
     4153 if test $enable_msvc = yes ; then
     4154   if test "x${LD+set}" = xset; then :; else
     4155     LD=link
     4156   fi
     4157 fi
    42664158
    42674159    ;;
     
    60365928*-*-irix6*)
    60375929  # Find out which ABI we are using.
    6038   echo '#line 6038 "configure"' > conftest.$ac_ext
     5930  echo '#line 5930 "configure"' > conftest.$ac_ext
    60395931  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    60405932  (eval $ac_compile) 2>&5
     
    71707062
    71717063# Provide some information about the compiler.
    7172 echo "$as_me:7172:" \
     7064echo "$as_me:7064:" \
    71737065     "checking for Fortran 77 compiler version" >&5
    71747066ac_compiler=`set X $ac_compile; echo $2`
     
    82378129   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    82388130   -e 's:$: $lt_compiler_flag:'`
    8239    (eval echo "\"\$as_me:8239: $lt_compile\"" >&5)
     8131   (eval echo "\"\$as_me:8131: $lt_compile\"" >&5)
    82408132   (eval "$lt_compile" 2>conftest.err)
    82418133   ac_status=$?
    82428134   cat conftest.err >&5
    8243    echo "$as_me:8243: \$? = $ac_status" >&5
     8135   echo "$as_me:8135: \$? = $ac_status" >&5
    82448136   if (exit $ac_status) && test -s "$ac_outfile"; then
    82458137     # The compiler can only warn and ignore the option if not recognized
     
    85058397   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    85068398   -e 's:$: $lt_compiler_flag:'`
    8507    (eval echo "\"\$as_me:8507: $lt_compile\"" >&5)
     8399   (eval echo "\"\$as_me:8399: $lt_compile\"" >&5)
    85088400   (eval "$lt_compile" 2>conftest.err)
    85098401   ac_status=$?
    85108402   cat conftest.err >&5
    8511    echo "$as_me:8511: \$? = $ac_status" >&5
     8403   echo "$as_me:8403: \$? = $ac_status" >&5
    85128404   if (exit $ac_status) && test -s "$ac_outfile"; then
    85138405     # The compiler can only warn and ignore the option if not recognized
     
    86098501   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    86108502   -e 's:$: $lt_compiler_flag:'`
    8611    (eval echo "\"\$as_me:8611: $lt_compile\"" >&5)
     8503   (eval echo "\"\$as_me:8503: $lt_compile\"" >&5)
    86128504   (eval "$lt_compile" 2>out/conftest.err)
    86138505   ac_status=$?
    86148506   cat out/conftest.err >&5
    8615    echo "$as_me:8615: \$? = $ac_status" >&5
     8507   echo "$as_me:8507: \$? = $ac_status" >&5
    86168508   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    86178509   then
     
    1095410846  lt_status=$lt_dlunknown
    1095510847  cat > conftest.$ac_ext <<EOF
    10956 #line 10956 "configure"
     10848#line 10848 "configure"
    1095710849#include "confdefs.h"
    1095810850
     
    1105410946  lt_status=$lt_dlunknown
    1105510947  cat > conftest.$ac_ext <<EOF
    11056 #line 11056 "configure"
     10948#line 10948 "configure"
    1105710949#include "confdefs.h"
    1105810950
     
    1339813290   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1339913291   -e 's:$: $lt_compiler_flag:'`
    13400    (eval echo "\"\$as_me:13400: $lt_compile\"" >&5)
     13292   (eval echo "\"\$as_me:13292: $lt_compile\"" >&5)
    1340113293   (eval "$lt_compile" 2>conftest.err)
    1340213294   ac_status=$?
    1340313295   cat conftest.err >&5
    13404    echo "$as_me:13404: \$? = $ac_status" >&5
     13296   echo "$as_me:13296: \$? = $ac_status" >&5
    1340513297   if (exit $ac_status) && test -s "$ac_outfile"; then
    1340613298     # The compiler can only warn and ignore the option if not recognized
     
    1350213394   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1350313395   -e 's:$: $lt_compiler_flag:'`
    13504    (eval echo "\"\$as_me:13504: $lt_compile\"" >&5)
     13396   (eval echo "\"\$as_me:13396: $lt_compile\"" >&5)
    1350513397   (eval "$lt_compile" 2>out/conftest.err)
    1350613398   ac_status=$?
    1350713399   cat out/conftest.err >&5
    13508    echo "$as_me:13508: \$? = $ac_status" >&5
     13400   echo "$as_me:13400: \$? = $ac_status" >&5
    1350913401   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1351013402   then
     
    1507214964   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1507314965   -e 's:$: $lt_compiler_flag:'`
    15074    (eval echo "\"\$as_me:15074: $lt_compile\"" >&5)
     14966   (eval echo "\"\$as_me:14966: $lt_compile\"" >&5)
    1507514967   (eval "$lt_compile" 2>conftest.err)
    1507614968   ac_status=$?
    1507714969   cat conftest.err >&5
    15078    echo "$as_me:15078: \$? = $ac_status" >&5
     14970   echo "$as_me:14970: \$? = $ac_status" >&5
    1507914971   if (exit $ac_status) && test -s "$ac_outfile"; then
    1508014972     # The compiler can only warn and ignore the option if not recognized
     
    1517615068   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1517715069   -e 's:$: $lt_compiler_flag:'`
    15178    (eval echo "\"\$as_me:15178: $lt_compile\"" >&5)
     15070   (eval echo "\"\$as_me:15070: $lt_compile\"" >&5)
    1517915071   (eval "$lt_compile" 2>out/conftest.err)
    1518015072   ac_status=$?
    1518115073   cat out/conftest.err >&5
    15182    echo "$as_me:15182: \$? = $ac_status" >&5
     15074   echo "$as_me:15074: \$? = $ac_status" >&5
    1518315075   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1518415076   then
     
    1738317275   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1738417276   -e 's:$: $lt_compiler_flag:'`
    17385    (eval echo "\"\$as_me:17385: $lt_compile\"" >&5)
     17277   (eval echo "\"\$as_me:17277: $lt_compile\"" >&5)
    1738617278   (eval "$lt_compile" 2>conftest.err)
    1738717279   ac_status=$?
    1738817280   cat conftest.err >&5
    17389    echo "$as_me:17389: \$? = $ac_status" >&5
     17281   echo "$as_me:17281: \$? = $ac_status" >&5
    1739017282   if (exit $ac_status) && test -s "$ac_outfile"; then
    1739117283     # The compiler can only warn and ignore the option if not recognized
     
    1765117543   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1765217544   -e 's:$: $lt_compiler_flag:'`
    17653    (eval echo "\"\$as_me:17653: $lt_compile\"" >&5)
     17545   (eval echo "\"\$as_me:17545: $lt_compile\"" >&5)
    1765417546   (eval "$lt_compile" 2>conftest.err)
    1765517547   ac_status=$?
    1765617548   cat conftest.err >&5
    17657    echo "$as_me:17657: \$? = $ac_status" >&5
     17549   echo "$as_me:17549: \$? = $ac_status" >&5
    1765817550   if (exit $ac_status) && test -s "$ac_outfile"; then
    1765917551     # The compiler can only warn and ignore the option if not recognized
     
    1775517647   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1775617648   -e 's:$: $lt_compiler_flag:'`
    17757    (eval echo "\"\$as_me:17757: $lt_compile\"" >&5)
     17649   (eval echo "\"\$as_me:17649: $lt_compile\"" >&5)
    1775817650   (eval "$lt_compile" 2>out/conftest.err)
    1775917651   ac_status=$?
    1776017652   cat out/conftest.err >&5
    17761    echo "$as_me:17761: \$? = $ac_status" >&5
     17653   echo "$as_me:17653: \$? = $ac_status" >&5
    1776217654   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1776317655   then
     
    3052730419echo $ECHO_N "checking which command should be used to link input files... $ECHO_C" >&6
    3052830420coin_link_input_cmd="$LN_S"
    30529 if test "$enable_doscompile" = mingw; then
    30530   coin_link_input_cmd=cp
    30531 fi
    3053230421case "$CC" in
    3053330422  clang* ) ;;
Note: See TracChangeset for help on using the changeset viewer.